/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.internal.logging.legacy;

/**
 * Names of the counters that the Tron package defines.
 *
 * Other counter names may be generated by AOSP code.
 * @hide
 */
public class TronCounters {

    static final String TRON_COLLECTIONS = "tron_collections";

    static final String TRON_COLLECTION_PERIOD = "tron_collection_period_minutes";

    static final String TRON_EVENTLOG_LENGTH = "tron_eventlog_horizon";

    static final String TRON_NOTE_DISMISS = "tron_note_dismiss";

    static final String TRON_NOTE_DISMISS_BY_USER = "tron_note_dismiss_user";

    static final String TRON_NOTE_DISMISS_BY_CLICK = "tron_note_dismiss_click";

    static final String TRON_NOTE_DISMISS_BY_LISTENER = "tron_note_dismiss_listener";

    static final String TRON_NOTE_DISMISS_BY_BAN = "tron_note_dismiss_ban";

    static final String TRON_NOTE_REVEALED = "tron_note_revealed";

    static final String TRON_NOTIFICATION_LOAD = "tron_notification_load";

    static final String TRON_VIEW = "tron_view";

    static final String TRON_ACTION = "tron_action";

    static final String TRON_DETAIL = "tron_detail";

    static final String TRON_NOTE_LIFETIME = "tron_note_lifetime";

    /** Append the AOSP-generated name */
    static final String TRON_AOSP_PREFIX = "tron_varz_";

    static final String TRON_ACTION_BAD_INT = "tron_action_bad_int";

    static final String TRON_NOTE_FRESHNESS = "tron_note_freshness";

    static final String TRON_NOTE_BUZZ = "tron_note_buzz";

    static final String TRON_NOTE_BEEP = "tron_note_beep";

    static final String TRON_NOTE_BLINK = "tron_note_blink";

    static final String TRON_DISABLE = "tron_disable";

    static final String TRON_LAST_HEART_AGE = "tron_last_heart_minutes";

    static final String TRON_HEARTS_SEEN = "tron_hearts_seen";
}
